.\" Copyright 1993 David Metcalfe (david@prism.demon.co.uk)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" References consulted:
.\"     Linux libc source code
.\"     Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991)
.\"     386BSD man pages
.\" Modified Sat Jul 24 18:28:24 1993 by Rik Faith (faith@cs.unc.edu)
.TH RINT 3  "June 6, 1993" "" "Linux Programmer's Manual"
.SH NAME
rint \- round to closest integer
.SH SYNOPSIS
.nf
.B #include <math.h>
.sp
.BI "double rint(double " x );
.fi
.SH DESCRIPTION
The \fBrint()\fP function rounds \fIx\fP to an integer value according to
the prevalent rounding mode.  The default rounding mode is to round to the
nearest integer.
.SH "RETURN VALUE"
The \fBrint()\fP function returns the integer value as a floating-point
number.
.SH "CONFORMING TO"
BSD 4.3
.SH "SEE ALSO"
.BR abs "(3), " ceil "(3), " fabs "(3), " floor "(3), " labs (3)
